summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@gmail.com>2010-05-11 14:56:25 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 14:56:25 +0200
commit9f42b5262eb21feb307e7b1f3d95de4c1f89ee61 (patch)
tree43d0d09f3f2788d01c05aeccc25a3ff090dc2a71 /libraries
parent433dc8478e8950eaf38556e81224b5c03daf1303 (diff)
downloadslackbuilds-9f42b5262eb21feb307e7b1f3d95de4c1f89ee61.tar.gz
slackbuilds-9f42b5262eb21feb307e7b1f3d95de4c1f89ee61.tar.xz
libraries/sqlite: Initial import
Diffstat (limited to 'libraries')
-rw-r--r--libraries/sqlite/COPYING7
-rw-r--r--libraries/sqlite/README7
-rw-r--r--libraries/sqlite/slack-desc11
-rw-r--r--libraries/sqlite/sqlite.SlackBuild90
-rw-r--r--libraries/sqlite/sqlite.info8
5 files changed, 123 insertions, 0 deletions
diff --git a/libraries/sqlite/COPYING b/libraries/sqlite/COPYING
new file mode 100644
index 0000000000..d133f55b48
--- /dev/null
+++ b/libraries/sqlite/COPYING
@@ -0,0 +1,7 @@
+SQLite Copyright
+
+The original author of SQLite has dedicated the code to the public domain. Anyone
+is free to copy, modify, publish, use, compile, sell, or distribute the original
+SQLite code, either in source code form or as a compiled binary, for any purpose,
+commerical or non-commerical, and by any means.
+
diff --git a/libraries/sqlite/README b/libraries/sqlite/README
new file mode 100644
index 0000000000..8743abfb83
--- /dev/null
+++ b/libraries/sqlite/README
@@ -0,0 +1,7 @@
+SQLite is a small C library that implements a self-contained, embeddable,
+zero-configuration SQL database engine.
+
+The SQLite distribution comes with a standalone command-line access program
+(sqlite) that can be used to administer an SQLite database and which serves
+as an example of how to use the SQLite library.
+
diff --git a/libraries/sqlite/slack-desc b/libraries/sqlite/slack-desc
new file mode 100644
index 0000000000..f6419e415c
--- /dev/null
+++ b/libraries/sqlite/slack-desc
@@ -0,0 +1,11 @@
+sqlite: SQLite (simple, self contained database engine)
+sqlite:
+sqlite: SQLite is a small C library that implements a self-contained,
+sqlite: embeddable, zero-configuration SQL database engine.
+sqlite:
+sqlite: The SQLite distribution comes with a standalone command-line access
+sqlite: program (sqlite) that can be used to administer an SQLite database
+sqlite: and which serves as an example of how to use the SQLite library.
+sqlite:
+sqlite: Homepage: http://www.sqlite.org/
+sqlite:
diff --git a/libraries/sqlite/sqlite.SlackBuild b/libraries/sqlite/sqlite.SlackBuild
new file mode 100644
index 0000000000..a879f4c545
--- /dev/null
+++ b/libraries/sqlite/sqlite.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for sqlite3
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+if [ "$(id -u)" != "0" ]; then
+ echo "This script must be run as root!"
+ exit 1
+fi
+
+PRGNAM=sqlite
+VERSION=3.3.14
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar -xzvf $CWD/$PRGNAM-$VERSION.tar.gz || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root.root .
+chmod -R u+rw,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-threadsafe \
+ || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Add missed man page:
+install -D -m 0644 sqlite3.1 $PKG/usr/man/man1/sqlite3.1
+gzip -9 $PKG/usr/man/man1/sqlite3.1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README VERSION doc/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc -type f -exec chmod 0644 {} \;
+
+# Add a COPYING file. Content taken from: http://www.sqlite.org/copyright.html
+cat $CWD/COPYING > $PKG/usr/doc/$PRGNAM-$VERSION/COPYING
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/sqlite/sqlite.info b/libraries/sqlite/sqlite.info
new file mode 100644
index 0000000000..4bccaf4945
--- /dev/null
+++ b/libraries/sqlite/sqlite.info
@@ -0,0 +1,8 @@
+PRGNAM="sqlite"
+VERSION="3.3.14"
+HOMEPAGE="http://www.sqlite.org"
+DOWNLOAD="http://www.sqlite.org/sqlite-3.3.14.tar.gz"
+MD5SUM="e1a4428a5cb17f28164731b72f06130a"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@gmail.com"
+APPROVED="rworkman"